<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
<html>
<head>
<title>/home/tylerwbrown/Code/Personal/rpg-io-server/src/Game.hs</title>
</head>
<head>
<link type='text/css' rel='stylesheet' href='liquid.css' />
</head>

<body>
<hr>
Put mouse over identifiers to see inferred types
<pre><span class=hs-linenum> 1: </span><a class=annot href="#"><span class=annottext>GHC.Types.Module</span><span class='hs-keyword'>module</span></a> <span class='hs-conid'>Game</span> <span class='hs-keyword'>where</span>
<span class=hs-linenum> 2: </span>
<span class=hs-linenum> 3: </span><span class='hs-keyword'>data</span> <span class='hs-conid'>Point</span> <span class='hs-keyglyph'>=</span> <span class='hs-conid'>Point</span> <span class='hs-layout'>{</span> <span class='hs-varid'>x</span> <span class='hs-keyglyph'>::</span> <span class='hs-conid'>Int</span><span class='hs-layout'>,</span> <span class='hs-varid'>y</span> <span class='hs-keyglyph'>::</span> <span class='hs-conid'>Int</span> <span class='hs-layout'>}</span>
<span class=hs-linenum> 4: </span>
<span class=hs-linenum> 5: </span><span class='hs-keyword'>data</span> <span class='hs-conid'>Board</span> <span class='hs-keyglyph'>=</span> <span class='hs-conid'>Board</span> <span class='hs-layout'>{</span> <span class='hs-varid'>points</span> <span class='hs-keyglyph'>::</span> <span class='hs-keyglyph'>[</span><span class='hs-conid'>Point</span><span class='hs-keyglyph'>]</span><span class='hs-layout'>,</span> <span class='hs-varid'>players</span> <span class='hs-keyglyph'>::</span> <span class='hs-keyglyph'>[</span><span class='hs-conid'>Player</span><span class='hs-keyglyph'>]</span> <span class='hs-layout'>}</span>
<span class=hs-linenum> 6: </span>
<span class=hs-linenum> 7: </span><span class='hs-keyword'>data</span> <span class='hs-conid'>Role</span> <span class='hs-keyglyph'>=</span> <span class='hs-conid'>Warrior</span> <span class='hs-keyglyph'>|</span> <span class='hs-conid'>Wizard</span> <span class='hs-keyglyph'>|</span> <span class='hs-conid'>Healer</span>
<span class=hs-linenum> 8: </span>
<span class=hs-linenum> 9: </span><span class='hs-keyword'>data</span> <span class='hs-conid'>Player</span> <span class='hs-keyglyph'>=</span> <span class='hs-conid'>Player</span> <span class='hs-layout'>{</span> <span class='hs-varid'>name</span> <span class='hs-keyglyph'>::</span> <span class='hs-conid'>String</span><span class='hs-layout'>,</span> <span class='hs-varid'>role</span> <span class='hs-keyglyph'>::</span> <span class='hs-conid'>Role</span><span class='hs-layout'>,</span> <span class='hs-varid'>position</span> <span class='hs-keyglyph'>::</span> <span class='hs-conid'>Point</span> <span class='hs-layout'>}</span>
<span class=hs-linenum>10: </span>
</pre>
</body>
</html>